Debian Bug report logs - #602222
bacula meta-package not installable with recommended packages

version graph

Package: bacula; Maintainer for bacula is Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>; Source for bacula is src:bacula.

Reported by: Olivier BONHOMME <obonhomme+debian@nerim.net>

Date: Tue, 2 Nov 2010 17:12:02 UTC

Severity: serious

Tags: patch

Found in version bacula/5.0.2-2

Fixed in version bacula/5.0.2-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, obonhomme+debian@nerim.net, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Tue, 02 Nov 2010 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier BONHOMME <obonhomme+debian@nerim.net>:
New Bug report received and forwarded. Copy sent to obonhomme+debian@nerim.net, John Goerzen <jgoerzen@complete.org>. (Tue, 02 Nov 2010 17:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier BONHOMME <obonhomme+debian@nerim.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bacula meta-package not installable with recommended packages
Date: Tue, 02 Nov 2010 18:08:13 +0100
Package: bacula
Version: 5.0.2-2
Severity: normal

When trying to install the bacula meta-package, the aptitude command raises the following error : 

The following packages have unmet dependencies:
  bacula-common-sqlite3: Conflicts: bacula-common-mysql but 5.0.2-2 is to be installed.
  bacula-common-mysql: Conflicts: bacula-common-sqlite3 but 5.0.2-2 is to be installed.

It seems that the conflict is provided by the virtual package bacula-sd-tools (Which is a recommended one) because
this package tries to install bacula-common-mysql.

If we install bacula without the recommended packages, the installation is possible.

It is not impossible to install bacula with apt-get anymore. The following error is raised : 

The following packages have unmet dependencies:
 bacula : Depends: bacula-server but it is not going to be installed


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Severity set to 'serious' from 'normal' Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Wed, 17 Nov 2010 22:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Sat, 20 Nov 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@fewbar.com>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Sat, 20 Nov 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 602222@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@fewbar.com>
To: 602222@bugs.debian.org
Subject: Should bacula-sd have an OR in the recommends?
Date: Sat, 20 Nov 2010 11:06:28 -0800
Would it fix the problem if bacula-sd had

Recommends: mt-st, bacula-sd-sqlite3 (>= 5.0.2-2) | bacula-sd-tools

Similar to the way bacula-server depends on bacula-sd-tools?





Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Thu, 25 Nov 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Thu, 25 Nov 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 602222@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 602222@bugs.debian.org
Cc: control@bugs.debian.org, Clint Byrum <clint@fewbar.com>
Subject: Re: bacula meta-package not installable with recommended packages
Date: Thu, 25 Nov 2010 22:35:40 +0900
tags 602222 patch
thanks

Hi,

 Clint Byrum <clint@fewbar.com> wrote:
> Would it fix the problem if bacula-sd had
>
> Recommends: mt-st, bacula-sd-sqlite3 (>= 5.0.2-2) | bacula-sd-tools

 I wrote small patch as below, and works fine with piuparts.


diff -u bacula-5.0.2/debian/changelog bacula-5.0.2/debian/changelog
--- bacula-5.0.2/debian/changelog
+++ bacula-5.0.2/debian/changelog
@@ -1,3 +1,12 @@
+bacula (5.0.2-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control
+    - fix bacula-sd's Recommends to avoid conflicts to install bacula
+     (Closes: #602222)
+
+ -- Hideki Yamane <henrich@debian.org>  Wed, 24 Nov 2010 18:19:02 +0900
+
 bacula (5.0.2-2) unstable; urgency=medium

   * Remove spurious creation of file_jpfid_idx on upgrade.  Closes: #591293.
diff -u bacula-5.0.2/debian/control bacula-5.0.2/debian/control
--- bacula-5.0.2/debian/control
+++ bacula-5.0.2/debian/control
@@ -210,7 +210,8 @@
 Architecture: any
 Pre-Depends: bacula-common (= ${binary:Version})
 Depends: ${shlibs:Depends}, mtx, python, lsb-base (>= 3.2-13), ${misc:Depends}
-Recommends: mt-st, bacula-sd-tools
+Recommends: bacula-sd-sqlite3 (= ${binary:Version}) | bacula-sd-mysql (= ${binary:Version}) |
+            bacula-sd-pgsql (= ${binary:Version}) | bacula-sd-tools, mt-st
 Suggests: dds2tar, scsitools, sg3-utils
 Description: network backup, recovery and verification - storage daemon
  Bacula is a set of programs to manage backup, recovery and verification of




Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Thu, 25 Nov 2010 13:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Sat, 27 Nov 2010 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Sat, 27 Nov 2010 17:03:03 GMT) Full text and rfc822 format available.

Message #24 received at 602222@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 602222@bugs.debian.org
Subject: bacula: diff for NMU version 5.0.2-2.1
Date: Sat, 27 Nov 2010 17:57:49 +0100
[Message part 1 (text/plain, inline)]
tags 602222 + pending
thanks

Dear maintainer,

I've prepared an NMU for bacula (versioned as 5.0.2-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #89:  Electromagnetic energy loss 
[bacula-5.0.2-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 17:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Sun, 28 Nov 2010 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Sun, 28 Nov 2010 18:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 602222@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 602222@bugs.debian.org
Cc: Olivier BONHOMME <obonhomme+debian@nerim.net>, Clint Byrum <clint@fewbar.com>, Hideki Yamane <henrich@debian.or.jp>, John Goerzen <jgoerzen@complete.org>, Gregor Herrmann <gregoa@debian.org>
Subject: Re: Bug#602222: bacula meta-package not installable with recommended packages
Date: Sat, 27 Nov 2010 17:37:50 +0100
[Message part 1 (text/plain, inline)]
Hi there!

Cc:ing all the people involved with this bug (hi, Gregor!).

On Tue, 02 Nov 2010 18:08:13 +0100, Olivier BONHOMME wrote:
> When trying to install the bacula meta-package, the aptitude command raises the following error : 
>
> The following packages have unmet dependencies:
>   bacula-common-sqlite3: Conflicts: bacula-common-mysql but 5.0.2-2 is to be installed.
>   bacula-common-mysql: Conflicts: bacula-common-sqlite3 but 5.0.2-2 is to be installed.
>
> It seems that the conflict is provided by the virtual package bacula-sd-tools (Which is a recommended one) because
> this package tries to install bacula-common-mysql.
>
> If we install bacula without the recommended packages, the installation is possible.

Strange enough, when using the --with-recommends option aptitude should
resolve them as --without-recommends (which works as expected).

> It is not impossible to install bacula with apt-get anymore. The following error is raised : 
>
> The following packages have unmet dependencies:
>  bacula : Depends: bacula-server but it is not going to be installed

If you do not install recommends, it is OK, exactly as with aptitude.

On Thu, 25 Nov 2010 14:35:40 +0100, Hideki Yamane wrote:
>  Clint Byrum <clint@fewbar.com> wrote:
>> Would it fix the problem if bacula-sd had
>>
>> Recommends: mt-st, bacula-sd-sqlite3 (>= 5.0.2-2) | bacula-sd-tools
>
>  I wrote small patch as below, and works fine with piuparts.

I think that a better (and common with other situations,
i.e. mail-transport-agent) fix is the one suggested by Clint: one single
real package recommended.  This is a maintainer's choice, which as Clint
suggested, it was already made for the bacula-server package, i.e. the
sqlite3 backend.

John, two questions:

- have you any preference on the solution?

- do you mind if Hideki uploads its NMU?  This is a serious bug that
  affects squeeze as well...

> +bacula (5.0.2-2.1) unstable; urgency=low
                                        ^^^
This should be at least medium, given that the bug is severity serious,
but I could not find the documentation about that, sorry:

  Developer's Reference, ยง 5.13.2. Updates from unstable
  http://www.debian.org/doc/manuals/developers-reference/pkgs.html#testing-unstable

>  Depends: ${shlibs:Depends}, mtx, python, lsb-base (>= 3.2-13), ${misc:Depends}
> -Recommends: mt-st, bacula-sd-tools
> +Recommends: bacula-sd-sqlite3 (= ${binary:Version}) | bacula-sd-mysql (= ${binary:Version}) |
> +            bacula-sd-pgsql (= ${binary:Version}) | bacula-sd-tools, mt-st

What is the reason for a strict versioned Recommends?  The bacula-server
package has it in the form:

  bacula-sd-sqlite3 (>= ${source:Version}) | bacula-sd-tools

John, any comments or suggestions?

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 17:21:07 GMT) Full text and rfc822 format available.

Notification sent to Olivier BONHOMME <obonhomme+debian@nerim.net>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 17:21:07 GMT) Full text and rfc822 format available.

Message #36 received at 602222-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 602222-close@bugs.debian.org
Subject: Bug#602222: fixed in bacula 5.0.2-2.1
Date: Mon, 29 Nov 2010 17:17:37 +0000
Source: bacula
Source-Version: 5.0.2-2.1

We believe that the bug you reported is fixed in the latest version of
bacula, which is due to be installed in the Debian FTP archive:

bacula-client_5.0.2-2.1_all.deb
  to main/b/bacula/bacula-client_5.0.2-2.1_all.deb
bacula-common-mysql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-common-mysql_5.0.2-2.1_i386.deb
bacula-common-pgsql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-common-pgsql_5.0.2-2.1_i386.deb
bacula-common-sqlite3_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-common-sqlite3_5.0.2-2.1_i386.deb
bacula-common_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-common_5.0.2-2.1_i386.deb
bacula-console-qt_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-console-qt_5.0.2-2.1_i386.deb
bacula-console_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-console_5.0.2-2.1_i386.deb
bacula-director-common_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-director-common_5.0.2-2.1_i386.deb
bacula-director-mysql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-director-mysql_5.0.2-2.1_i386.deb
bacula-director-pgsql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-director-pgsql_5.0.2-2.1_i386.deb
bacula-director-sqlite3_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-director-sqlite3_5.0.2-2.1_i386.deb
bacula-director-sqlite_5.0.2-2.1_all.deb
  to main/b/bacula/bacula-director-sqlite_5.0.2-2.1_all.deb
bacula-fd_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-fd_5.0.2-2.1_i386.deb
bacula-sd-mysql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-sd-mysql_5.0.2-2.1_i386.deb
bacula-sd-pgsql_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-sd-pgsql_5.0.2-2.1_i386.deb
bacula-sd-sqlite3_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-sd-sqlite3_5.0.2-2.1_i386.deb
bacula-sd-sqlite_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-sd-sqlite_5.0.2-2.1_i386.deb
bacula-sd_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-sd_5.0.2-2.1_i386.deb
bacula-server_5.0.2-2.1_all.deb
  to main/b/bacula/bacula-server_5.0.2-2.1_all.deb
bacula-traymonitor_5.0.2-2.1_i386.deb
  to main/b/bacula/bacula-traymonitor_5.0.2-2.1_i386.deb
bacula_5.0.2-2.1.diff.gz
  to main/b/bacula/bacula_5.0.2-2.1.diff.gz
bacula_5.0.2-2.1.dsc
  to main/b/bacula/bacula_5.0.2-2.1.dsc
bacula_5.0.2-2.1_all.deb
  to main/b/bacula/bacula_5.0.2-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated bacula package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 27 Nov 2010 17:18:41 +0100
Source: bacula
Binary: bacula bacula-common bacula-common-sqlite3 bacula-common-pgsql bacula-common-mysql bacula-director-common bacula-director-sqlite bacula-director-sqlite3 bacula-director-mysql bacula-director-pgsql bacula-client bacula-fd bacula-server bacula-sd bacula-sd-sqlite3 bacula-sd-sqlite bacula-sd-mysql bacula-sd-pgsql bacula-console bacula-console-qt bacula-traymonitor
Architecture: source all i386
Version: 5.0.2-2.1
Distribution: unstable
Urgency: low
Maintainer: John Goerzen <jgoerzen@complete.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 bacula     - network backup, recovery and verification - meta-package
 bacula-client - network backup, recovery and verification - client meta-package
 bacula-common - network backup, recovery and verification - common support files
 bacula-common-mysql - network backup, recovery and verification - MySQL common files
 bacula-common-pgsql - network backup, recovery and verification - PostgreSQL common fil
 bacula-common-sqlite3 - network backup, recovery and verification - SQLite v3 common file
 bacula-console - network backup, recovery and verification - text console
 bacula-console-qt - Bacula Administration Tool Console
 bacula-director-common - network backup, recovery and verification - Director common files
 bacula-director-mysql - network backup, recovery and verification - MySQL storage for Dir
 bacula-director-pgsql - network backup, recovery and verification - PostgreSQL storage fo
 bacula-director-sqlite - network backup, recovery and verification - SQLite 2 director tra
 bacula-director-sqlite3 - network backup, recovery and verification - SQLite 3 storage for
 bacula-fd  - network backup, recovery and verification - file daemon
 bacula-sd  - network backup, recovery and verification - storage daemon
 bacula-sd-mysql - network backup, recovery and verification - MySQL SD tools
 bacula-sd-pgsql - network backup, recovery and verification - PostgreSQL SD tools
 bacula-sd-sqlite - network backup, recovery and verification - SQLite SD tools
 bacula-sd-sqlite3 - network backup, recovery and verification - SQLite 3 SD tools
 bacula-server - network backup, recovery and verification - server meta-package
 bacula-traymonitor - network backup, recovery and verification - tray monitor
Closes: 602222
Changes: 
 bacula (5.0.2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "bacula meta-package not installable with recommended packages":
     bacula-sd: Recommends: add a real package to the virtual bacula-sd-tools;
     thanks to Hideki Yamane for the proposal (closes: #602222).
Checksums-Sha1: 
 205a94cd456adfefd1794ead785bd965d7fca24b 2557 bacula_5.0.2-2.1.dsc
 bc98ceca11752eb95c1f125b4404177458284409 45010 bacula_5.0.2-2.1.diff.gz
 5458f61dc30174db1d89535a5d86761b412ac9d2 1024 bacula_5.0.2-2.1_all.deb
 0646683607d0ec3bfa58c9560cc23423c7149116 48350 bacula-director-sqlite_5.0.2-2.1_all.deb
 91166bed0d8b11834ff2aab833483e5ed41e6189 48382 bacula-client_5.0.2-2.1_all.deb
 332dad67fcd8f6165601a04a663ba77b01dd3652 48306 bacula-server_5.0.2-2.1_all.deb
 866e889d8f6938e3b025438c0c555cf4f05b11e6 633668 bacula-common_5.0.2-2.1_i386.deb
 b0acc9786828840c2278f39fff6d1946e30ca138 100080 bacula-common-sqlite3_5.0.2-2.1_i386.deb
 66a9234034bd00f66f68dcfea1bddfc5771b34d8 105272 bacula-common-pgsql_5.0.2-2.1_i386.deb
 c6a22ab0406c3f2eee6b2d07a3a2bcc54f73ebb1 101308 bacula-common-mysql_5.0.2-2.1_i386.deb
 d02d6addc446b0b33e650afde8100d0923e72771 56730 bacula-director-common_5.0.2-2.1_i386.deb
 86cbb1e10192a2ddb1c4066dc2473835001ce4fe 300176 bacula-director-sqlite3_5.0.2-2.1_i386.deb
 34dbb93626a773a6b32928c9f1b0b76a78d71402 300466 bacula-director-mysql_5.0.2-2.1_i386.deb
 e85d0e2583eb383ed607465327b95faf6b76ab8b 300200 bacula-director-pgsql_5.0.2-2.1_i386.deb
 d7272465791ad30ae36470177254b3a7060e7a46 122318 bacula-fd_5.0.2-2.1_i386.deb
 b318726d17b129774df34bfcc39ac4a124fd3da4 455516 bacula-sd_5.0.2-2.1_i386.deb
 1a19497e1b4b4731ebcb8c873e6caeec37a1ef2b 430392 bacula-sd-sqlite3_5.0.2-2.1_i386.deb
 b2d5509a9c4ac7ea0015100a8d7463978fcaa13a 48282 bacula-sd-sqlite_5.0.2-2.1_i386.deb
 c34cbfcbd9196cd19ab5ea9bbe569269e3ede2e1 430432 bacula-sd-mysql_5.0.2-2.1_i386.deb
 cc4cf7c9488ed8d7adb9a50c74464e67939fc118 430402 bacula-sd-pgsql_5.0.2-2.1_i386.deb
 7a15de9696055b77b3d49da441a421521e3d97dd 66620 bacula-console_5.0.2-2.1_i386.deb
 8070f3f25bd9a8a34f6c6b243b58d895ec15f3fc 632956 bacula-console-qt_5.0.2-2.1_i386.deb
 ef3a43b8b45f386135bac9629a200e2b28ec76df 69328 bacula-traymonitor_5.0.2-2.1_i386.deb
Checksums-Sha256: 
 19bba1f0de870cc1fb049d418c3db62530ff189e0d29d26377d473179be978aa 2557 bacula_5.0.2-2.1.dsc
 58560f790a21f357e5ee6eda78298bd0624cbb7a39d69421e178931436326e75 45010 bacula_5.0.2-2.1.diff.gz
 d3f300f93ff4308e1d0f9e8ad1050e95eb5a06477fcdd9fcfe4edfb275d3f0b7 1024 bacula_5.0.2-2.1_all.deb
 3b22e3f3b81f3e67de1af31061833f1c157b1fb7803aa091dcf1152b594e3dd4 48350 bacula-director-sqlite_5.0.2-2.1_all.deb
 5f34abfbfd0f8a7443c6fd0b2616f57b1f958ecdf1e76100d69f5b0e23753937 48382 bacula-client_5.0.2-2.1_all.deb
 8ac2fdaaf7df533710606720a5ac9802541b99acebcd140c2d73e8be61edec6a 48306 bacula-server_5.0.2-2.1_all.deb
 a9bd1755038e9f39bcee7161efb4dca06cabd356325bee942fbcd5b890e37ba1 633668 bacula-common_5.0.2-2.1_i386.deb
 04e39384bef2d454d5d44cf8b56f742bfa608b2777099bf7734ed9dfd20a341b 100080 bacula-common-sqlite3_5.0.2-2.1_i386.deb
 7acf7403c96c8b8961aa5ba66bbf4ac66dc519a29ee8d65e20ffa86e4c7690e5 105272 bacula-common-pgsql_5.0.2-2.1_i386.deb
 ec75c51892421e8f316d4d78254880142e92d6f1593d1db2a92ea7d328d86bba 101308 bacula-common-mysql_5.0.2-2.1_i386.deb
 23dfd655cf4270df8e2ea1d4f7fcba8c5626703d93bd8443dab5ee31bfbb438b 56730 bacula-director-common_5.0.2-2.1_i386.deb
 a8d42cf76c65b5fa78225e293176c36895ce8c8e5d4198e4c907163f4a22f0e9 300176 bacula-director-sqlite3_5.0.2-2.1_i386.deb
 4e204406a805752a5c8c0590ea56f63dd3b3ed0f68cff48da05b1cbd67f50ddf 300466 bacula-director-mysql_5.0.2-2.1_i386.deb
 8b9ef32124d0d876ffa425dd31c7eeba1e75b31c70ddd22e6749e842737aec8e 300200 bacula-director-pgsql_5.0.2-2.1_i386.deb
 4b84956369f1fd3af6daac2a6b9d63cd83a3badac2e0b21d982b6c37c6435a68 122318 bacula-fd_5.0.2-2.1_i386.deb
 b779187cf4a334eccb57c78fe3d93afe150a583138fa909cb8767f9618c19c70 455516 bacula-sd_5.0.2-2.1_i386.deb
 07b67f9b0ec6bb9dce943f66601e1f46e435792d48bce1fa7f65a398cbdf66e9 430392 bacula-sd-sqlite3_5.0.2-2.1_i386.deb
 13667d2f2c9da9f900b3bfa84977e586fffc1eca66c3200a4261696534139c6c 48282 bacula-sd-sqlite_5.0.2-2.1_i386.deb
 3e56ab35c59ff3a084e359e5236d932e1f84da362f58ef969c3f1562cae24311 430432 bacula-sd-mysql_5.0.2-2.1_i386.deb
 e1b3245c41dda9ca1e1eb79d5ae08f35f5ac5fdb7863360bd2faeb6247379bfd 430402 bacula-sd-pgsql_5.0.2-2.1_i386.deb
 c19129ecc4e1782d0d2fb36a281f1bbdcb7ea8d988e65e2ea0052b210914f42a 66620 bacula-console_5.0.2-2.1_i386.deb
 519c8fb9fe36052f105e438efb12da196a4b73e43d11accd89e7c3f1a2269883 632956 bacula-console-qt_5.0.2-2.1_i386.deb
 c7efdbbc71714d6525453bba108f69139b8e6851490464457ee34cd4a4e6be03 69328 bacula-traymonitor_5.0.2-2.1_i386.deb
Files: 
 b70fea6067df40abfdf3880a9f471c66 2557 admin optional bacula_5.0.2-2.1.dsc
 b8a0f0ab85b7e23c1fd6d37e423224a1 45010 admin optional bacula_5.0.2-2.1.diff.gz
 d17e213ee275b1cc92d6d06113703db1 1024 admin optional bacula_5.0.2-2.1_all.deb
 ae4475d388e34cdb4b3f949838e4688e 48350 admin optional bacula-director-sqlite_5.0.2-2.1_all.deb
 211886c6a4e6136ed9caa100939fa01a 48382 admin optional bacula-client_5.0.2-2.1_all.deb
 25a9005991aed34b22aec9655ec02d9d 48306 admin optional bacula-server_5.0.2-2.1_all.deb
 6ba5b33f09af2ace6fa4afd03a58fd5c 633668 admin optional bacula-common_5.0.2-2.1_i386.deb
 c693bf8b8ff18d8eec69970ca12f6a56 100080 admin optional bacula-common-sqlite3_5.0.2-2.1_i386.deb
 4f60822d66d9b25e94f3a70babe1dc34 105272 admin optional bacula-common-pgsql_5.0.2-2.1_i386.deb
 0302cba95cd58dc445fceacd48c0d197 101308 admin optional bacula-common-mysql_5.0.2-2.1_i386.deb
 5393184ca12f3521c8e643ea6ad3392b 56730 admin optional bacula-director-common_5.0.2-2.1_i386.deb
 7016d2e85904274d716b0db7acb151b1 300176 admin optional bacula-director-sqlite3_5.0.2-2.1_i386.deb
 a5a9f80fce6cff3ad470357e01bca09b 300466 admin optional bacula-director-mysql_5.0.2-2.1_i386.deb
 2a6af05f51d4765becf5818f8dbe90f4 300200 admin optional bacula-director-pgsql_5.0.2-2.1_i386.deb
 ff50d56577e8be51f54d8058c96f17f6 122318 admin optional bacula-fd_5.0.2-2.1_i386.deb
 0e7e18c160e4c8456cec487c371880f7 455516 admin optional bacula-sd_5.0.2-2.1_i386.deb
 89f7558ff4244f89a760224ab4449b0d 430392 admin optional bacula-sd-sqlite3_5.0.2-2.1_i386.deb
 d054290ec984bc66cca4a26b9f89cb02 48282 admin optional bacula-sd-sqlite_5.0.2-2.1_i386.deb
 5c554f64b5e10f0e45a2792f913eff48 430432 admin optional bacula-sd-mysql_5.0.2-2.1_i386.deb
 ded1c500dc525a10645bbb9b81e85143 430402 admin optional bacula-sd-pgsql_5.0.2-2.1_i386.deb
 5b1efabf1d361589f861ceff56ad16c7 66620 admin optional bacula-console_5.0.2-2.1_i386.deb
 b147e2752ae1509fb812fcc592145d44 632956 utils optional bacula-console-qt_5.0.2-2.1_i386.deb
 e6c25e6e856f334af2c005cff910b1ff 69328 admin optional bacula-traymonitor_5.0.2-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM8TgeAAoJELs6aAGGSaoGpwUP+wUoqVTGcEThXlfsNGdhWlPn
1nl5SHVhQJXxfWGQuzAdUyBni9JRDtrRbwUVabqhZ+U9mKp46Gt0MSuSKaAiUkxR
Is5CDjBq9KDJraahPwfiAw6iTVL89RLcmo8Zzdks6APRy62Auys/YEXAzWLoOkR5
ra7tYiHyLVH+TPDFP5xubCVe8IWHeOJSVDswuW6J4z1AgEy8MmKvZPraVOF79XQG
V8cXwb5hslx0LpkknLaZpKjDuGQ2DDj2TcGsAVmZi19XzGA2yt/jcklKOOVWMkNX
c4fQa7yoKul1CHMba2T8ahHhxHlq6d6twozCQtk7Si55AJWDzdNpbb6AMFnfbN+k
fSL1Ump98x/3jxp+oIL54YpHVQNAocxdYDwIXUWd68tyYKJHtWJOhz3ZM8/UNHzm
nPMkvyE3P32Fj1A8fYxJdRSL0pKT7liSMIP7j8ZyPIILmQinZYIM8ui9mmTTFr2X
mbNUiqYfT0ueC9w294V2BjmQMtypU/WD+vruxkQDroSJcp7UYvD8uBYQ3wwMZxv9
SLnA34csEhlctsf8CBDFWm5t2NjsoXb03b8Nbqkc/ShJLvl/9QeQm2m8ro9cNTMn
4Tby5w97oA2rwjm8X127n67qep/h9+CCYXe2efBNOVyfnUd37X454wHyMwFBtL+V
US4IetrnG9nNHYIpcxaU
=33Ac
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#602222; Package bacula. (Tue, 30 Nov 2010 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. (Tue, 30 Nov 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #41 received at 602222@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Luca Capello <luca@pca.it>, 602222@bugs.debian.org
Cc: Olivier BONHOMME <obonhomme+debian@nerim.net>, Clint Byrum <clint@fewbar.com>, Hideki Yamane <henrich@debian.or.jp>, Gregor Herrmann <gregoa@debian.org>
Subject: Re: Bug#602222: bacula meta-package not installable with recommended packages
Date: Tue, 30 Nov 2010 14:11:33 -0600
On 11/27/2010 10:37 AM, Luca Capello wrote:
> John, two questions:
>
> - have you any preference on the solution?
>
> - do you mind if Hideki uploads its NMU?  This is a serious bug that
>    affects squeeze as well...

Thank you all for your work on this.  I was net-limited over the last 
few days due to the US Thanksgiving holiday (I had a smartphone with 
which I planned to answer any critical security-related stuff but not 
much else was practical).  I see the NMU has posted and I am quite fine 
with that.

Thanks again,

-- John




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#602222; Package bacula. (Tue, 30 Nov 2010 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 30 Nov 2010 23:15:08 GMT) Full text and rfc822 format available.

Message #46 received at 602222@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: John Goerzen <jgoerzen@complete.org>, 602222@bugs.debian.org
Subject: Re: Bug#602222: bacula meta-package not installable with recommended packages
Date: Wed, 1 Dec 2010 00:10:28 +0100
[Message part 1 (text/plain, inline)]
On Tue, 30 Nov 2010 14:11:33 -0600, John Goerzen wrote:

> Thank you all for your work on this.  I was net-limited over the
> last few days due to the US Thanksgiving holiday (I had a smartphone
> with which I planned to answer any critical security-related stuff
> but not much else was practical).  I see the NMU has posted and I am
> quite fine with that.

Thanks for your feedback, and I'm glad I could help a bit.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bob Dylan: Like A Rolling Stone
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:07:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.